Get Assignable Roles

gethttps://app.fossa.com/api/roles/assignable

Get roles that can be assigned by the current user. Returns only roles with equal or fewer permissions than the requesting user.

Responses

200OK
assignableOrgRolesinteger[]

Array of role IDs that can be assigned for organization-scoped roles

assignableTeamRolesobject

Object mapping team IDs to arrays of role IDs that can be assigned for those teams

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/roles/assignable
curl --request GET \  --url 'https://app.fossa.com/api/roles/assignable' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.